﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.Security;
using BlogEngine.Core;
using System.Text.RegularExpressions;


public partial class RemoveSpamComments : System.Web.UI.Page
{
    List<Comment> comments = new List<Comment>();

    protected void Page_Load(object sender, EventArgs e)
    {
        
    }

    protected void btnDelete_Click(object sender, EventArgs e)
    {
        try
        {
            int count = 0;
            List<Post> posts = new List<Post>();
            List<List<Comment>> removedComment = new List<List<Comment>>();
            foreach (Post p in Post.Posts)
            {
                lblTaskStatus.Text = "正在处理：" + p.Title;
                List<Comment> removedCommentTemp = new List<Comment>();
                foreach (Comment c in p.Comments)
                {
                    // do not include trackbacks and pingbacks to comment list
                    if (c.Email == "trackback" || c.Email == "pingback") continue;

                    //if (string.IsNullOrEmpty(c.Website.ToString().Replace("https://", "").Replace("http://", "").Trim())) continue;

                    if(c.Website!=null && !string.IsNullOrEmpty(c.Website.ToString()))
                    {
                        if (Regex.Matches(c.Content, @"[\u4e00-\u9fa5]").Count == 0)
                        {
                            removedCommentTemp.Add(c);
                        }
                    }
                }
                posts.Add(p);
                removedComment.Add(removedCommentTemp);
            }
            for (int i = 0; i < posts.Count; i++)
            {
                
                foreach (Comment c in removedComment[i])
                {
                    this.StatusMsg.Text += (count++).ToString() + "删除：" + c.Content + "\r\n";
                    posts[i].RemoveComment(c);
                }
            }
        }
        catch(Exception ex)
        {
            this.StatusMsg.Text = ex.ToString();
        }
    }
}
